unit main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, Menus, ActnList, ComCtrls, ExtCtrls, Buttons;

type

  { TMainForm }

  TMainForm = class(TForm)
    actFileMenu: TAction;
    actEditMenu: TAction;
    actExecuteMenu: TAction;
    actDebugMenu: TAction;
    actHelpMenu: TAction;
    actBrowserGotoDecl: TAction;
    actBrowserGotoImpl: TAction;
    actBrowserNewClass: TAction;
    actBrowserNewMember: TAction;
    actBrowserNewVar: TAction;
    actBrowserViewAll: TAction;
    actBrowserViewProject: TAction;
    actBrowserViewCurrent: TAction;
    actBrowserAddFolder: TAction;
    actBrowserRemoveFolder: TAction;
    actBrowserRenameFolder: TAction;
    actBrowserUseColors: TAction;
    actBrowserShowInherited: TAction;
    actAbout: TAction;
    actHistoryClear: TAction;
    actClose: TAction;
    actCloseAll: TAction;
    actCloseProject: TAction;
    actExit: TAction;
    actCloseAllButThis: TAction;
    actFileProperties: TAction;
    actImportMSVC: TAction;
    actDebug: TAction;
    actBreakPoint: TAction;
    actAddWatch: TAction;
    actEditWatch: TAction;
    actAttachProcess: TAction;
    actDebugFinish: TAction;
    actDeleteLine: TAction;
    actCut: TAction;
    actCopy: TAction;
    actDelete: TAction;
    actComment: TAction;
    actIndent: TAction;
    actAddToDo: TAction;
    actCompile: TAction;
    actCompRun: TAction;
    actClean: TAction;
    actExecParams: TAction;
    actAbortCompilation: TAction;
    actCompileCurrentFile: TAction;
    actFind: TAction;
    actFindAll: TAction;
    actFindNext: TAction;
    actIncremental: TAction;
    actGoto: TAction;
    actGotoFunction: TAction;
    actCompOptions: TAction;
    actEnviroOptions: TAction;
    actEditorOptions: TAction;
    actConfigTools: TAction;
    actConfigShortcuts: TAction;
    actFullScreen: TAction;
    actHelpOnWxDevelop: TAction;
    actShowTips: TAction;
    actPrev: TAction;
    actNext: TAction;
    actViewToDoList: TAction;
    actStatusbar: TAction;
    actReplace: TAction;
    actProjectRenameFolder: TAction;
    actProjectRemoveFolder: TAction;
    actProjectNewFolder: TAction;
    actUnitClose: TAction;
    actUnitOpen: TAction;
    actUnitHeader: TAction;
    actUnitRename: TAction;
    actUnitRemove: TAction;
    actProjectSource: TAction;
    actProjectMakeFile: TAction;
    actProjectOptions: TAction;
    actProjectRemove: TAction;
    actProjectAdd: TAction;
    actProjectNew: TAction;
    actMsgClear: TAction;
    actMsgCopy: TAction;
    actProfileProject: TAction;
    actProgramReset: TAction;
    actSyntaxCheck: TAction;
    actRebuild: TAction;
    actRun: TAction;
    actUnindent: TAction;
    actUncomment: TAction;
    actSwapHeaderSource: TAction;
    actSelectAll: TAction;
    actPaste: TAction;
    actRedo: TAction;
    actUndo: TAction;
    actViewDebugMemory: TAction;
    actVerboseDebugOutput: TAction;
    actRemoveAllBreakpoints: TAction;
    actPauseDebug: TAction;
    actRestartDebug: TAction;
    actModifyWatch: TAction;
    actStepInto: TAction;
    actStopExecute: TAction;
    actRemoveWatch: TAction;
    actWatchItem: TAction;
    actStepOver: TAction;
    actRunToCursor: TAction;
    actViewCPU: TAction;
    actPrinterSetup: TAction;
    actPrint: TAction;
    actXProject: TAction;
    actXRTF: TAction;
    actXHTML: TAction;
    actSaveAll: TAction;
    actSaveProjectAs: TAction;
    actSaveAs: TAction;
    actSave: TAction;
    actOpen: TAction;
    actNewTemplate: TAction;
    actNewRes: TAction;
    actNewProject: TAction;
    actNewSource: TAction;
    actWindowMenu: TAction;
    actToolsMenu: TAction;
    actProjectMenu: TAction;
    actViewMenu: TAction;
    actSearchMenu: TAction;
    actShowBars: TAction;
    ActionList: TActionList;
    ImageList: TImageList;
    MainCoolBar: TCoolBar;
    MainMenu: TMainMenu;
    menuFile: TMenuItem;
    menuEdit: TMenuItem;
    menuExecute: TMenuItem;
    menuDebug: TMenuItem;
    menuHelp: TMenuItem;
    menuitemHelpOn: TMenuItem;
    menuitemTipOfTheDay: TMenuItem;
    menuitemNewTemplate: TMenuItem;
    menuitemNewResourceFile: TMenuItem;
    menuitemNewProject: TMenuItem;
    menuitemNewSourceFile: TMenuItem;
    popupitemMessageClear: TMenuItem;
    popupitemMessageCopy: TMenuItem;
    popupitemEditorProperties: TMenuItem;
    popupitemEditorAddToDoItem: TMenuItem;
    popupitemEditorRunToCursor: TMenuItem;
    popupitemEditorAddWatch: TMenuItem;
    popupitemEditorToggleBreakpoint: TMenuItem;
    popupitemEditorGotoBookmarks: TMenuItem;
    popupitemEditorToggleBookmarks: TMenuItem;
    popupitemSurroundCppStyleComment: TMenuItem;
    popupitemSurroundCStyleComment: TMenuItem;
    PopupMenuMessage: TPopupMenu;
    Separator56: TMenuItem;
    popupitemSurroundBraces: TMenuItem;
    Separator55: TMenuItem;
    popupitemSurroundSwitchLoop: TMenuItem;
    popupitemSurroundIfElseLoop: TMenuItem;
    popupitemSurroundIfLoop: TMenuItem;
    Separator54: TMenuItem;
    popupitemSurroundDoWhileLoop: TMenuItem;
    popupitemSurroundWhileLoop: TMenuItem;
    popupitemSurroundForIntLoop: TMenuItem;
    popupitemSurroundForLoop: TMenuItem;
    Separator53: TMenuItem;
    popupitemSurroundTryCatch: TMenuItem;
    popupitemEditorSurroundWith: TMenuItem;
    popupitemInsertMessageBox: TMenuItem;
    Separator52: TMenuItem;
    popupitemInsertFor: TMenuItem;
    popupitemInsertDoWhile: TMenuItem;
    popupitemInsertWhile: TMenuItem;
    popupitemInsertIf: TMenuItem;
    Separator51: TMenuItem;
    popupitemInsertInclude: TMenuItem;
    popupitemInsertIfnDef: TMenuItem;
    popupitemInsertIfDef: TMenuItem;
    Separator50: TMenuItem;
    popupitemInsertWinmainFunction: TMenuItem;
    popupitemInsertMainFunction: TMenuItem;
    Separator49: TMenuItem;
    popupitemInsertDateTime: TMenuItem;
    popupitemInsertCommentHeader: TMenuItem;
    popupitemEditorInsert: TMenuItem;
    Separator48: TMenuItem;
    popupitemEditorSwapHeaderSource: TMenuItem;
    Separator47: TMenuItem;
    popupitemEditorDelete: TMenuItem;
    popupitemEditorSelectAll: TMenuItem;
    popupitemEditorPaste: TMenuItem;
    popupitemEditorCopy: TMenuItem;
    popupitemEditorCut: TMenuItem;
    Separator46: TMenuItem;
    popupitemEditorRedo: TMenuItem;
    popupitemEditorUndo: TMenuItem;
    Separator45: TMenuItem;
    popupitemEditorCloseAllExceptThis: TMenuItem;
    popupitemEditorCloseAll: TMenuItem;
    popupitemEditorClose: TMenuItem;
    popupitemProjectOptions: TMenuItem;
    PopupMenuEditor: TPopupMenu;
    Separator44: TMenuItem;
    popupitemProjectAddFolder: TMenuItem;
    Separator43: TMenuItem;
    popupitemProjectRemoveFile: TMenuItem;
    popupitemProjectAddFile: TMenuItem;
    popupitemProjectNewUnit: TMenuItem;
    popupitemProperties: TMenuItem;
    PopupMenuProject: TPopupMenu;
    Separator42: TMenuItem;
    popupitemRemoveUnitFolder: TMenuItem;
    popupitemRenameUnitFolder: TMenuItem;
    popupitemAddUnitFolder: TMenuItem;
    Separator41: TMenuItem;
    popupitemAddFile: TMenuItem;
    Separator40: TMenuItem;
    popupitemClose: TMenuItem;
    popupitemOpenWith: TMenuItem;
    popupitemOpen: TMenuItem;
    Separator39: TMenuItem;
    popupitemRenameFile: TMenuItem;
    popupitemRemoveFromProject: TMenuItem;
    popupitemClearAllWatches: TMenuItem;
    popupitemRemoveWatch: TMenuItem;
    PopupMenuUnit: TPopupMenu;
    Separator38: TMenuItem;
    popupitemModifyValue: TMenuItem;
    popupitemAddWatch: TMenuItem;
    popupitemShowInheritedMembers: TMenuItem;
    popupitemUseColors: TMenuItem;
    PopupMenuDebugVars: TPopupMenu;
    Separator37: TMenuItem;
    popupitemCurrentFile: TMenuItem;
    popupitemProjectFiles: TMenuItem;
    popupitemAllFiles: TMenuItem;
    popupitemViewMode: TMenuItem;
    Separator36: TMenuItem;
    popupitemRenameFolder: TMenuItem;
    popupitemRemoveFolder: TMenuItem;
    popupitemAddFolder: TMenuItem;
    Separator35: TMenuItem;
    popupitemNewVariable: TMenuItem;
    popupitemNewMemberFunction: TMenuItem;
    Separator34: TMenuItem;
    popupitemNewClass: TMenuItem;
    Separator33: TMenuItem;
    popupitemGotoImplementation: TMenuItem;
    popupitemGotoDeclaration: TMenuItem;
    menuitemAboutWxDevelop: TMenuItem;
    menuitemList: TMenuItem;
    PopupMenuBrowser: TPopupMenu;
    Separator32: TMenuItem;
    menuitemPrevious: TMenuItem;
    menuitemNext: TMenuItem;
    Separator31: TMenuItem;
    menuitemFullScreen: TMenuItem;
    Separator30: TMenuItem;
    menuitemCloseAllWindows: TMenuItem;
    menuWindow: TMenuItem;
    menuitemConfigureTools: TMenuItem;
    menuitemConfigureShortcuts: TMenuItem;
    Separator29: TMenuItem;
    menuitemEditorOptions: TMenuItem;
    menuitemEnvironmentOptions: TMenuItem;
    menuitemCompilerOptions: TMenuItem;
    menuTools: TMenuItem;
    menuitemVerboseDebuggerOutput: TMenuItem;
    menuitemShowCpuWindow: TMenuItem;
    menuitemWatchVariables: TMenuItem;
    menuitemAddWatch: TMenuItem;
    Separator28: TMenuItem;
    menuitemRunToCursor: TMenuItem;
    menuitemFinish: TMenuItem;
    menuitemStepInto: TMenuItem;
    menuitemStepOver: TMenuItem;
    menuitemRemoveAllBreakpoints: TMenuItem;
    menuitemToggleBreakpoint: TMenuItem;
    Separator27: TMenuItem;
    menuitemAttachToProcess: TMenuItem;
    menuitemRestart: TMenuItem;
    menuitemStopExec: TMenuItem;
    menuitemPause: TMenuItem;
    menuitemDebugRun: TMenuItem;
    menuitemProgrammReset: TMenuItem;
    Separator26: TMenuItem;
    menuitemProfileAnalysis: TMenuItem;
    Separator25: TMenuItem;
    menuitemClean: TMenuItem;
    Separator24: TMenuItem;
    menuitemSyntaxCheck: TMenuItem;
    menuitemRebuildAll: TMenuItem;
    menuitemCompileAndRun: TMenuItem;
    Separator23: TMenuItem;
    menuitemParameters: TMenuItem;
    menuitemRun: TMenuItem;
    menuitemCompileCurrentFile: TMenuItem;
    menuitemCompile: TMenuItem;
    menuitemOptions: TMenuItem;
    Separator22: TMenuItem;
    menuitemRemoveFile: TMenuItem;
    menuitemAddFile: TMenuItem;
    menuitemNewUnit: TMenuItem;
    menuProject: TMenuItem;
    menuitemShowPluginPanels: TMenuItem;
    menuitemPanelToDoList: TMenuItem;
    menuitemPanelFindResults: TMenuItem;
    menuitemPanelDebugging: TMenuItem;
    menuitemPanelCompileLog: TMenuItem;
    menuitemPanelResources: TMenuItem;
    menuitemPanelCompiler: TMenuItem;
    menuitemPanelProjectInspector: TMenuItem;
    menuitemShowPanels: TMenuItem;
    Separator21: TMenuItem;
    menuitemGotoClassBrowser: TMenuItem;
    menuitemGotoProjectInspector: TMenuItem;
    Separator20: TMenuItem;
    menuitemToolbarClasses: TMenuItem;
    Separator19: TMenuItem;
    menuitemToolbarSpecials: TMenuItem;
    menuitemToolbarOptionsAndHelp: TMenuItem;
    Separator18: TMenuItem;
    menuitemToolbarProject: TMenuItem;
    menuitemToolbarDebug: TMenuItem;
    menuitemToolbarCompileAndRun: TMenuItem;
    Separator17: TMenuItem;
    menuitemToolbarSearch: TMenuItem;
    menuitemToolbarEdit: TMenuItem;
    menuitemToolbarMain: TMenuItem;
    menuitemToolBars: TMenuItem;
    menuitemToDoList: TMenuItem;
    menuitemStatusbar: TMenuItem;
    menuView: TMenuItem;
    menuitemGoToLine: TMenuItem;
    menuitemGotoFunction: TMenuItem;
    Separator16: TMenuItem;
    menuitemIncrementalSearch: TMenuItem;
    menuitemReplace: TMenuItem;
    menuitemSearchAgain: TMenuItem;
    menuitemFindInAllFiles: TMenuItem;
    menuitemFind: TMenuItem;
    menuSearch: TMenuItem;
    menuitemUnindent: TMenuItem;
    menuitemIndent: TMenuItem;
    Separator15: TMenuItem;
    menuitemUncomment: TMenuItem;
    menuitemComment: TMenuItem;
    Separator14: TMenuItem;
    menuitemSelectAll: TMenuItem;
    Separator13: TMenuItem;
    menuitemDeletLine: TMenuItem;
    menuitemGotoBookmarks: TMenuItem;
    menuitemToggleBookmarks: TMenuItem;
    menuitemInsertCommentHeader: TMenuItem;
    menuitemInsertDateTime: TMenuItem;
    menuitemInsert: TMenuItem;
    Separator12: TMenuItem;
    menuitemSwapHeaderSource: TMenuItem;
    Separator11: TMenuItem;
    menuitemPaste: TMenuItem;
    menuitemCopy: TMenuItem;
    menuitemCut: TMenuItem;
    Separator10: TMenuItem;
    menuitemRedo: TMenuItem;
    menuitemUndo: TMenuItem;
    menuitemExit: TMenuItem;
    Separator57: TMenuItem;
    Separator58: TMenuItem;
    Separator59: TMenuItem;
    Separator60: TMenuItem;
    Separator61: TMenuItem;
    Separator62: TMenuItem;
    Separator63: TMenuItem;
    Separator9: TMenuItem;
    menuitemPrinterSetup: TMenuItem;
    menuitemPrint: TMenuItem;
    Separator8: TMenuItem;
    menuitemExportProjectToHtml: TMenuItem;
    Separator7: TMenuItem;
    menuitemExportRtf: TMenuItem;
    menuitemExportHtml: TMenuItem;
    menuitemExport: TMenuItem;
    menuitemImportMsvcProject: TMenuItem;
    menuitemImport: TMenuItem;
    Separator6: TMenuItem;
    menuitemProperties: TMenuItem;
    Separator5: TMenuItem;
    menuitemCloseProject: TMenuItem;
    menuitemCloseAll: TMenuItem;
    menuitemClose: TMenuItem;
    Separator4: TMenuItem;
    menuitemSaveAll: TMenuItem;
    menuitemSaveProjectAs: TMenuItem;
    menuitemSaveAs: TMenuItem;
    menuitemSave: TMenuItem;
    Separator3: TMenuItem;
    menuitemClearHistory: TMenuItem;
    Separator2: TMenuItem;
    menuitemReOpen: TMenuItem;
    menuitemOpen: TMenuItem;
    Separator1: TMenuItem;
    menuitemNew: TMenuItem;
    StatusBar: TStatusBar;
    tbarEdit: TToolBar;
    tbarMain: TToolBar;
    tbtnNewProject: TToolButton;
    tbtnOpen: TToolButton;
    tbtnUndo: TToolButton;
    tbtnRedo: TToolButton;
    tbarSearch: TToolBar;
    tbtnFind: TToolButton;
    tbtnReplace: TToolButton;
    tbarProject: TToolBar;
    tbtnAddToProject: TToolButton;
    tbtnRemoveFromProject: TToolButton;
    ToolButton3: TToolButton;
    tbtnNewFile: TToolButton;
    tbtnSaveUnit: TToolButton;
    tbtnSaveAll: TToolButton;
    tbtnClose: TToolButton;
    tbtnFindNext: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    tbtnGotoLine: TToolButton;
    tbtnProjectOptions: TToolButton;
    ToolButton8: TToolButton;
    tbtnPrint: TToolButton;
  private

  public

  end;

var
  MainForm: TMainForm;

implementation

{$R *.lfm}

end.

